summaryrefslogtreecommitdiff
path: root/source3/lib/ldb/tests/test-tdb.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/lib/ldb/tests/test-tdb.sh')
-rwxr-xr-xsource3/lib/ldb/tests/test-tdb.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/source3/lib/ldb/tests/test-tdb.sh b/source3/lib/ldb/tests/test-tdb.sh
index e1052d1651..7c4f5205b4 100755
--- a/source3/lib/ldb/tests/test-tdb.sh
+++ b/source3/lib/ldb/tests/test-tdb.sh
@@ -17,6 +17,13 @@ if [ -z "$LDBDIR" ]; then
export LDBDIR
fi
+cat <<EOF | $VALGRIND ldbadd || exit 1
+dn: @MODULES
+@LIST: rdn_name
+EOF
+
+$VALGRIND ldbadd $LDBDIR/tests/init.ldif || exit 1
+
. $LDBDIR/tests/test-generic.sh
. $LDBDIR/tests/test-extended.sh